Documents
Get Document
Retrieves a single document by ID
Retrieves a single document by ID
Path Parameters
id*string
Document ID, slug or public identifier
Query Parameters
includeDescriptionState?string
expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (area)
includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
Response Body
application/json
curl -X GET "https://example.com/v1/documents/string"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "name": "string", "slug": "string", "visibility": "string", "createdById": "string", "lastEditedById": "string", "lastEditedAt": "2019-08-24T14:15:22Z", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "deletedById": "string", "description": { "html": "string", "markdown": "string" }, "area": { "id": "string", "name": "string", "publicId": "str" }, "descriptionSnapshot": { "descriptionStateStr": "string", "descriptionMarkdown": "string" }}